cURL
curl --request POST \
--url https://api.vooma.ai/v0/customers/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"limit": 123,
"after": "<string>",
"before": "<string>",
"last": 123,
"first": 123
},
"filterById": "<string>",
"search": "<string>"
}
'import requests
url = "https://api.vooma.ai/v0/customers/search"
payload = {
"pagination": {
"limit": 123,
"after": "<string>",
"before": "<string>",
"last": 123,
"first": 123
},
"filterById": "<string>",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pagination: {limit: 123, after: '<string>', before: '<string>', last: 123, first: 123},
filterById: '<string>',
search: '<string>'
})
};
fetch('https://api.vooma.ai/v0/customers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"id": "<string>",
"name": "<string>",
"externalIds": [
{
"value": "<string>"
}
],
"contacts": [
{
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
]
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>",
"hasPreviousPage": true,
"hasNextPage": true
},
"totalCount": 123,
"count": 123
}Customers
Search Customers
POST
/
customers
/
search
cURL
Beta Feature: This functionality is currently in beta. You
may experience changes or limited support as we continue to improve it.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

